Bug 6029 - compile fails on samba 3.2.7 on Fedora 10 x86_64
compile fails on samba 3.2.7 on Fedora 10 x86_64
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.7
Other Windows XP
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 09:42 UTC by Adam Williams
Modified: 2009-05-15 08:31 UTC (History)
3 users (show)

See Also:


Attachments
proposed patch 1 (2.11 KB, patch)
2009-01-13 10:05 UTC, Karolin Seeger
no flags Details
second part of the fix (1.49 KB, patch)
2009-01-13 10:06 UTC, Karolin Seeger
no flags Details
fix syntax error (1000 bytes, patch)
2009-01-13 10:06 UTC, Karolin Seeger
no flags Details
script:package/bin/update-pkginfo.sh (811 bytes, text/plain)
2009-01-13 15:28 UTC, Michael Adam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Williams 2009-01-13 09:42:28 UTC
run samba-3.2.7/packaging/RHEL and get the following error:

Compiling winbindd/idmap_ldap.c
Compiling winbindd/idmap_tdb.c
Compiling winbindd/idmap_passdb.c
Compiling winbindd/idmap_nss.c
Compiling winbindd/nss_info.c
Compiling winbindd/nss_info_template.c
Compiling nsswitch/wbinfo.c
Compiling client/client.c
Compiling client/clitar.c
Compiling client/dnsbrowse.c
Compiling lib/readline.c
Compiling lib/display_sec.c
Compiling utils/net.c
Compiling utils/net_ads.c
Compiling utils/net_help.c
Compiling utils/net_rap.c
Compiling utils/net_rpc.c
Compiling utils/net_rpc_samsync.c
Compiling utils/net_rpc_join.c
Compiling utils/net_time.c
Compiling utils/net_lookup.c
Compiling utils/net_cache.c
Compiling utils/net_groupmap.c
Compiling utils/net_idmap.c
Compiling utils/net_status.c
Compiling utils/net_rpc_printer.c
Compiling utils/net_rpc_rights.c
Compiling utils/net_rpc_service.c
Compiling utils/net_rpc_registry.c
Compiling utils/net_usershare.c
Compiling utils/netlookup.c
Compiling utils/net_sam.c
Compiling utils/net_rpc_shell.c
Compiling utils/net_util.c
Compiling utils/net_rpc_sh_acct.c
Compiling utils/net_rpc_audit.c
Compiling utils/net_dns.c
Compiling utils/passwd_util.c
Compiling utils/net_ads_gpo.c
Compiling utils/net_conf.c
Compiling utils/net_registry.c
Compiling utils/net_dom.c
Compiling utils/net_registry_util.c
Compiling libgpo/gpo_ldap.c
Compiling libgpo/gpo_ini.c
Compiling libgpo/gpo_util.c
Compiling libgpo/gpo_fetch.c
Compiling libgpo/gpo_filesync.c
Compiling libgpo/gpo_sec.c
Compiling iniparser_build/iniparser.c
Compiling iniparser_build/dictionary.c
Compiling iniparser_build/strlib.c
Compiling client/smbspool.c
Compiling utils/testparm.c
Compiling utils/status.c
Compiling utils/status_profile.c
Compiling utils/smbget.c
Compiling utils/smbcontrol.c
Compiling utils/smbtree.c
Compiling lib/tdb/tools/tdbbackup.c
Compiling utils/nmblookup.c
Compiling utils/pdbedit.c
Compiling lib/tdb/tools/tdbdump.c
Compiling lib/tdb/tools/tdbtool.c
Compiling utils/smbpasswd.c
Compiling rpcclient/rpcclient.c
Compiling rpcclient/cmd_lsarpc.c
Compiling rpcclient/cmd_samr.c
Compiling rpcclient/cmd_spoolss.c
Compiling rpcclient/cmd_netlogon.c
Compiling rpcclient/cmd_srvsvc.c
Compiling rpcclient/cmd_dfs.c
Compiling rpcclient/cmd_dssetup.c
Compiling rpcclient/cmd_echo.c
Compiling rpcclient/cmd_shutdown.c
Compiling rpcclient/cmd_test.c
Compiling rpcclient/cmd_wkssvc.c
Compiling rpcclient/cmd_ntsvcs.c
Compiling utils/smbcacls.c
Compiling utils/profiles.c
Compiling utils/ntlm_auth.c
Compiling utils/ntlm_auth_diagnostics.c
Compiling libsmb/spnego.c
Compiling utils/smbcquotas.c
Compiling utils/eventlogadm.c
Compiling lib/ldb/tools/cmdline.c
Compiling lib/ldb/tools/ldbedit.c
Compiling lib/ldb/tools/ldbsearch.c
Compiling lib/ldb/tools/ldbadd.c
Compiling lib/ldb/tools/ldbdel.c
Compiling lib/ldb/tools/ldbmodify.c
Compiling client/mount.cifs.c
Compiling client/mtab.c
Compiling client/umount.cifs.c
Compiling modules/vfs_recycle.c
Compiling modules/vfs_audit.c
Compiling modules/vfs_extd_audit.c
Compiling modules/vfs_full_audit.c
Compiling modules/vfs_netatalk.c
Compiling modules/vfs_fake_perms.c
Compiling modules/vfs_default_quota.c
Compiling modules/vfs_readonly.c
Compiling modules/getdate.c
Compiling modules/vfs_cap.c
Compiling modules/vfs_expand_msdfs.c
Compiling modules/vfs_shadow_copy.c
Compiling modules/vfs_shadow_copy2.c
Compiling modules/vfs_xattr_tdb.c
Compiling modules/vfs_streams_xattr.c
Compiling modules/vfs_streams_depot.c
Compiling modules/vfs_readahead.c
Compiling modules/vfs_fileid.c
Compiling modules/vfs_syncops.c
Compiling modules/vfs_smb_traffic_analyzer.c
Compiling winbindd/idmap_rid.c
Compiling modules/CP850.c
Compiling winbindd/idmap_ad.c
Compiling modules/CP437.c
Compiling auth/auth_script.c
Compiling nsswitch/winbind_nss_linux.c
Compiling nsswitch/wins.c
Compiling pam_smbpass/pam_smb_auth.c
Compiling pam_smbpass/pam_smb_passwd.c
Compiling pam_smbpass/pam_smb_acct.c
Compiling pam_smbpass/support.c
Compiling nsswitch/pam_winbind.c
Compiling client/cifs.upcall.c
Compiling nsswitch/winbind_krb5_locator.c
Linking non-shared library bin/libtalloc.a
Linking shared library bin/libtalloc.so.1
Linking non-shared library bin/libtdb.a
Linking shared library bin/libtdb.so.1
Linking non-shared library bin/libaddns.a
Linking non-shared library bin/libnetapi.a
Linking non-shared library bin/libsmbclient.a
Linking non-shared library bin/libsmbsharemodes.a
Linking bin/mount.cifs
Linking bin/umount.cifs
Building plugin bin/recycle.so
Building plugin bin/audit.so
Building plugin bin/extd_audit.so
Building plugin bin/full_audit.so
Building plugin bin/netatalk.so
Building plugin bin/fake_perms.so
Building plugin bin/default_quota.so
Building plugin bin/readonly.so
Building plugin bin/cap.so
Building plugin bin/expand_msdfs.so
Building plugin bin/shadow_copy.so
Building plugin bin/shadow_copy2.so
Building plugin bin/xattr_tdb.so
Building plugin bin/streams_xattr.so
Building plugin bin/streams_depot.so
Building plugin bin/readahead.so
Building plugin bin/fileid.so
Building plugin bin/syncops.so
Building plugin bin/smb_traffic_analyzer.so
Building plugin bin/rid.so
Building plugin bin/ad.so
Building plugin bin/CP850.so
Building plugin bin/CP437.so
Building plugin bin/script.so
Linking nsswitch/libnss_winbind.so
Linking shared library bin/pam_winbind.so
Linking bin/winbind_krb5_locator.so
make: Nothing to be done for `modules'.
Linking shared library bin/libwbclient.so.0
Linking shared library bin/libsmbsharemodes.so.0
Linking bin/nmbd
Linking bin/smbspool
Linking bin/testparm
Linking bin/smbstatus
Linking bin/smbcontrol
Linking bin/tdbbackup
Linking bin/nmblookup
Linking bin/tdbdump
Linking bin/tdbtool
Linking bin/profiles
Linking bin/eventlogadm
Linking nsswitch/libnss_wins.so
Linking bin/smbd
Linking bin/swat
Linking bin/winbindd
Linking bin/wbinfo
Linking bin/smbclient
Linking bin/smbget
Linking bin/smbtree
Linking bin/pdbedit
Linking bin/smbpasswd
Linking bin/rpcclient
Linking bin/smbcacls
Linking bin/ntlm_auth
Linking bin/smbcquotas
Linking bin/ldbedit
Linking bin/ldbsearch
Linking bin/ldbadd
Linking bin/ldbdel
Linking bin/ldbmodify
Linking shared library bin/pam_smbpass.so
Linking bin/cifs.upcall
Linking shared library bin/libnetapi.so.0
Linking shared library bin/libsmbclient.so.0
make: Nothing to be done for `pam_smbpass'.
Linking bin/net
+ cd client
+ gcc -o mount.cifs -O2 -g -D_GNU_SOURCE -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE mount.cifs.c
/tmp/ccbqHyke.o: In function `main':
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1415: undefined reference to `unlock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1416: undefined reference to `lock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1462: undefined reference to `unlock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1424: undefined reference to `unlock_mtab'
collect2: ld returned 1 exit status
error: Bad exit status from /var/tmp/rpm-tmp.yXPwpa (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.yXPwpa (%build)
makerpms.sh: Done.
[root@roark RHEL]#
Comment 1 Karolin Seeger 2009-01-13 10:05:24 UTC
Created attachment 3868 [details]
proposed patch 1
Comment 2 Karolin Seeger 2009-01-13 10:06:02 UTC
Created attachment 3869 [details]
second part of the fix
Comment 3 Karolin Seeger 2009-01-13 10:06:57 UTC
Created attachment 3870 [details]
fix syntax error
Comment 4 Karolin Seeger 2009-01-13 10:07:44 UTC
The last patch is not related to this bug report, but as it will be the next error you get, I just attached it...
Comment 5 Karolin Seeger 2009-01-13 10:09:10 UTC
The attached patches are already in the git repos.
Closing out bug report as it works for me with these patches.
They will be included in 3.2.8.

Please re-open if it's still an issue for you.

Thanks for reporting!
Comment 6 Adam Williams 2009-01-13 10:50:27 UTC
I downloaded each patch and saved in samba-3.2.7/ as patch1, patch2, and patch3 and applied each as follows:

[root@roark samba-3.2.7]# patch -p1<patch1
patching file packaging/RHEL/samba.spec.tmpl
[root@roark samba-3.2.7]# patch -p1<patch2
patching file packaging/RHEL/samba.spec.tmpl
[root@roark samba-3.2.7]# patch -p1<patch3
patching file packaging/RHEL/samba.spec.tmpl

then ran packaging/RHEL/makerpms.sh and still get the exact same error.

Linking shared library bin/libnetapi.so.0
Linking shared library bin/libsmbclient.so.0
make: Nothing to be done for `pam_smbpass'.
Linking bin/net
+ cd client
+ gcc -o mount.cifs -O2 -g -D_GNU_SOURCE -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE mount.cifs.c
/tmp/ccz8Hdmt.o: In function `main':
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1415: undefined reference to `unlock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1416: undefined reference to `lock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1462: undefined reference to `unlock_mtab'
/root/rpmbuild/BUILD/samba-3.2.7/source/client/mount.cifs.c:1424: undefined reference to `unlock_mtab'
collect2: ld returned 1 exit status
error: Bad exit status from /var/tmp/rpm-tmp.qNVCec (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.qNVCec (%build)
makerpms.sh: Done.
[root@roark RHEL]#
Comment 7 Michael Adam 2009-01-13 15:26:17 UTC
Adam,
as already posted to the mailing list:

in this case it is not sufficient to just apply the patches
since the are applied to the template file. These are transformed
to the proper files (samba.spec, makerpms.sh) by the script
release-scripts/create-tarball.
                                                                                        
Since it is no good to call create-tarball from the unpacked
tarball, I will attach a script for you that you should call
from the base dir of the unpacked tarball and that will update
the specfile and makerpms.sh for you.

Cheers - Michael
Comment 8 Michael Adam 2009-01-13 15:28:52 UTC
Created attachment 3874 [details]
script:package/bin/update-pkginfo.sh

put this script to packaging/bin/ and run it (from the base dir) before running makerpms.sh
Comment 9 Karolin Seeger 2009-02-02 05:26:41 UTC
Closing out bug report.

Please re-open if it's still an issue.
Comment 10 Adam Williams 2009-02-05 15:07:28 UTC
I still get an error building the RPM:

        fi
: bin/libsmbclient.a /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba
/usr/bin/install -c -m 0644 /root/rpmbuild/BUILD/samba-3.2.8/source/include/libsmbclient.h /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/include
/usr/bin/install -c bin/libsmbsharemodes.so.0 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba
if test -r bin/libsmbsharemodes.so.0 ; then \
                ln -s -f `basename bin/libsmbsharemodes.so.0` \
                        /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/`basename bin/libsmbsharemodes.so` ; \
        fi
: bin/libsmbsharemodes.a /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba
/usr/bin/install -c -m 0644 /root/rpmbuild/BUILD/samba-3.2.8/source/include/smb_share_modes.h /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/include
+ cd ..
+ install -m 755 source/nsswitch/libnss_winbind.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/lib64/libnss_winbind.so.2
+ install -m 755 source/nsswitch/libnss_wins.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/lib64/libnss_wins.so.2
+ cd /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/lib64
+ ln -sf libnss_winbind.so.2 libnss_winbind.so
+ ln -sf libnss_wins.so.2 libnss_wins.so
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libsmbclient.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libsmbclient.so.0 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libsmbsharemodes.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libsmbsharemodes.so.0 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libwbclient.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libwbclient.so.0 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libtalloc.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libtalloc.so.1 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libtdb.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libtdb.so.1 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libnetapi.so /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/samba/libnetapi.so.0 /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib64/
+ /bin/rm -rf '/root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/lib*/samba/security'
+ echo 127.0.0.1 localhost
+ install -m644 setup/samba.log /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/logrotate.d/samba
+ install -m644 setup/swat /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/xinetd.d/swat
+ install -m644 setup/samba.sysconfig /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/sysconfig/samba
+ install -m755 setup/smb.init /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/rc.d/init.d/smb
+ install -m755 setup/winbind.init /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/rc.d/init.d/winbind
+ install -m644 setup/samba.pamd /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/pam.d/samba
+ install -m755 setup/smbprint /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/bin
+ install -m644 setup/smbusers /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/samba/smbusers
+ install -m644 setup/smb.conf /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/etc/samba/smb.conf
+ install -m755 source/bin/mount.cifs /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/sbin/mount.cifs
+ install -m755 source/bin/umount.cifs /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/sbin/umount.cifs
+ install -m755 source/script/mksmbpasswd.sh /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/bin
+ /bin/rm /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/sbin/mount.cifs /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/sbin/umount.cifs
+ ln -s ../../etc/rc.d/init.d/smb /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/sbin/samba
+ ln -s ../../etc/rc.d/init.d/winbind /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/sbin/winbind
+ find /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64 -name '*.old' -exec rm -f '{}' ';'
+ rm -rf docs/htmldocs
+ rm -rf docs/manpages
+ cd docs
+ ln -s /usr/share/swat/help htmldocs
+ rm -f /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/man/man1/log2pcap.1
+ rm -f '/root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/man/man1/smbsh.1*'
+ rm -f '/root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/man/man5/vfstest.1*'
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-static-archive
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: samba-3.2.8-1
Provides: ad.so()(64bit) audit.so()(64bit) cap.so()(64bit) config(samba) = 0:3.2.8-1 default_quota.so()(64bit) expand_msdfs.so()(64bit) extd_audit.so()(64bit) fake_perms.so()(64bit) fileid.so()(64bit) full_audit.so()(64bit) netatalk.so()(64bit) readahead.so()(64bit) readonly.so()(64bit) recycle.so()(64bit) rid.so()(64bit) samba = 3.2.8 script.so()(64bit) shadow_copy.so()(64bit) shadow_copy2.so()(64bit) smb_traffic_analyzer.so()(64bit) streams_depot.so()(64bit) streams_xattr.so()(64bit) syncops.so()(64bit) xattr_tdb.so()(64bit)
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires(postun): /bin/sh
Requires: /bin/sh ad.so()(64bit) libacl.so.1()(64bit) libacl.so.1(ACL_1.0)(64bit) libattr.so.1()(64bit) libattr.so.1(ATTR_1.0)(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.4)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libcups.so.2()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.4.so.2()(64bit) libldap-2.4.so.2()(64bit) libm.so.6()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) libz.so.1()(64bit) rtld(GNU_HASH)
Processing files: samba-client-3.2.8-1
Provides: samba-client = 3.2.8-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: /bin/sh /usr/bin/perl libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.4.so.2()(64bit) libldap-2.4.so.2()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libuuid.so.1()(64bit) libwbclient.so.0()(64bit) rtld(GNU_HASH)
Obsoletes: smbfs
Processing files: samba-common-3.2.8-1
Provides: CP437.so()(64bit) CP850.so()(64bit) config(samba-common) = 0:3.2.8-1 libnetapi.so.0()(64bit) libnss_winbind.so.2()(64bit) libnss_wins.so.2()(64bit) libsmbclient.so.0()(64bit) libsmbsharemodes.so.0()(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) pam_smbpass.so()(64bit) pam_winbind.so()(64bit) samba-common = 3.2.8-1
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires(postun): /bin/sh
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.4.so.2()(64bit) libldap-2.4.so.2()(64bit) libnetapi.so.0()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libnss_winbind.so.2()(64bit) libnss_wins.so.2()(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpam.so.0(LIBPAM_EXTENSION_1.0)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libsmbclient.so.0()(64bit) libsmbsharemodes.so.0()(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) rtld(GNU_HASH)
Processing files: samba-swat-3.2.8-1
Provides: config(samba-swat) = 0:3.2.8-1 samba-swat = 3.2.8-1
Requires(interp): /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libcups.so.2()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.4.so.2()(64bit) libldap-2.4.so.2()(64bit) libm.so.6()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) libz.so.1()(64bit) rtld(GNU_HASH)
Processing files: samba-doc-3.2.8-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.954Pdn
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd samba-3.2.8
+ DOCDIR=/root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ export DOCDIR
+ rm -rf /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ /bin/mkdir -p /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ cp -pr README COPYING Manifest /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ cp -pr WHATSNEW.txt Roadmap /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ cp -pr docs /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ cp -pr examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ cp -pr examples/printing /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64/usr/share/doc/samba-doc-3.2.8
+ exit 0
Provides: samba-doc = 3.2.8-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /root/rpmbuild/BUILDROOT/samba-3.2.8-1.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/sbin/cifs.upcall
   /usr/share/man/man8/cifs.upcall.8.gz


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/sbin/cifs.upcall
   /usr/share/man/man8/cifs.upcall.8.gz
makerpms.sh: Done.
Comment 11 Karolin Seeger 2009-05-15 08:31:23 UTC
This one is fixed meanwhile.
Please re-open if it's still an issue in 3.2.11.
Thanks for reporting!